#ifndef CONTOUR_H
#define CONTOUR_H

#include "XY.h"
#include <vector>
using namespace std;

typedef vector<XY> ContourLine;    // Open line strip or closed line loop.

typedef vector<ContourLine> Contour;

void contourLineAddUniquePoint(ContourLine& contourLine, const XY& point);

void contourLineInsertUniquePoint(ContourLine& contourLine,
				  ContourLine::iterator before,
				  const XY& point);

void writeContour(const Contour& contour, ostream& os);

#endif // CONTOUR_H
